Name:		tinyerp
Version:	4.2.2
Release:	%mkrel 4
License:	GPLv2+
Group:		System/Servers
Summary:	Open Source ERP Client
URL:		http://tinyerp.org
Source0:	http://tinyerp.org/download/stable/source/tinyerp-server-%{version}.tar.gz
Source1:	http://tinyerp.org/download/stable/source/tinyerp-client-%{version}.tar.gz
Source2:	tinyerp.desktop
Source3:	tinyerp-server.conf
Source4:	tinyerp-server
Source5:	tinyerp-server.logrotate
Source6:	README.PCLinuxOS
Source7:  	Yattacier3.iconrc
Source8:  	YattaBlues.iconrc
Source9:  	Aquativo.iconrc
Source10: 	tinyerp-i18n.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	pygtk2.0-devel
BuildRequires:	pygtk2.0-libglade
BuildRequires:	python-psycopg
BuildRequires:	python-libxslt
BuildRequires:	python-dot
BuildRequires:	desktop-file-utils
BuildRequires:	xorg-x11-Xvfb
Requires:	python >= 2.6
Requires:	pygtk2.0
Requires:	pygtk2.0-libglade
Requires:	python-dot
Requires: 	python-matplotlib
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version



%define _xvfb /usr/bin/Xvfb

%description
Tiny ERP is a complete ERP and CRM. The main features are accounting (analytic
and financial), stock management, sales and purchases management, tasks
automation, marketing campaigns, help desk, POS, etc. Technical features include
a distributed server, flexible workflows, an object database, a dynamic GUI,
customizable reports, and SOAP and XML-RPC interfaces.

If you have the TinyERP server configured and running on the local machine you
should be able to simply start TinyERP from the menu and login with 'demo'/'demo'.
You can also configure the client to connect to any other TinyERP server at 
login time.

%package server
Group:		System/Servers
Summary:	Open Source ERP Server
Requires:	pygtk2.0, pygtk2.0-libglade, pytz
Requires:	python-pg, libxml2-python
Requires:	python-libxslt, python-imaging
Requires:	python-psycopg, python-reportlab
Requires:	graphviz, python-parsing, postgresql-server
Requires:	ghostscript
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/groupadd
Requires(post):	/sbin/chkconfig
Requires(preun):	/sbin/chkconfig
Requires(preun):	/sbin/service
Requires(postun):	/usr/sbin/userdel
Requires(postun):	/usr/sbin/groupdel

%description server
Server components for Tiny ERP. 

Once installation is complete, make sure to follow mandatory additional configuration steps described in 
%{_datadir}/doc/tinyerp-server-%{version}/README.PCLinuxOS


%package i18n
Group:		System/Internationalization
Summary:	Internationalization for TinyERP Server
Requires:		%name-server
%description i18n
Internationalization for TinyERP Server.

%prep
%setup -q -a 1 -c %{name}-%{version}

# update docs
rm tinyerp-client-%{version}/doc/License.rtf
cp %{SOURCE6} tinyerp-server-%{version}/doc/README.PCLinuxOS

# permission cleanup
find tinyerp-server-%{version}/bin/addons -type f | xargs chmod a-x
find tinyerp-client-%{version}/bin/themes -type f | xargs chmod a-x


%build
cd tinyerp-client-%{version}
%{_xvfb} :69 -nolisten tcp -ac -terminate &
DISPLAY=:69 ./setup.py build
cd ../tinyerp-server-%{version}
DISPLAY=:69 ./setup.py build


%install
rm -rf $RPM_BUILD_ROOT
cd tinyerp-client-%{version}
%{_xvfb} :69 -nolisten tcp -ac -terminate &
DISPLAY=:69 ./setup.py install --root=$RPM_BUILD_ROOT
cd ../tinyerp-server-%{version}
DISPLAY=:69 ./setup.py install --root=$RPM_BUILD_ROOT
cd ..
%find_lang tinyerp-client

mv $RPM_BUILD_ROOT%{_datadir}/tinyerp-client/* $RPM_BUILD_ROOT%{python_sitelib}/tinyerp-client
cp -a tinyerp-client-%{version}/bin/themes $RPM_BUILD_ROOT%{_datadir}/tinyerp-client
cp %SOURCE7 $RPM_BUILD_ROOT%{_datadir}/tinyerp-client/themes/Yattacier3/iconrc
cp %SOURCE8 $RPM_BUILD_ROOT%{_datadir}/tinyerp-client/themes/YattaBlues/iconrc
cp %SOURCE9 $RPM_BUILD_ROOT%{_datadir}/tinyerp-client/themes/Aquativo/iconrc

desktop-file-install --vendor=''				\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications		\
	--add-category 'X-MandrivaLinux-Office-Other' \
	%{SOURCE2}

cd $RPM_BUILD_ROOT%{python_sitelib}/tinyerp-client
ln -s ../../../../share/tinyerp-client/themes themes
for i in tinyerp-icon-16x16.png tinyerp-icon-32x32.png tinyerp-icon-64x64.png; do
	ln -s ../../../../share/pixmaps/tinyerp-client/$i $i
done

install -m 644 -D %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/tinyerp-server.conf
install -m 755 -D %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/tinyerp-server
install -m 644 -D %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/tinyerp-server

mkdir -p $RPM_BUILD_ROOT/var/log/tinyerp
mkdir -p $RPM_BUILD_ROOT/var/spool/tinyerp

install -m 644 -D %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/doc/tinyerp-server-%{version}/
pushd $RPM_BUILD_ROOT%{_datadir}/doc/tinyerp-server-%{version}/
  tar xzvf *.tar.gz 
  rm *.tar.gz
popd

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}-client.lang
%{_datadir}/doc/tinyerp-client-%{version}/
%defattr(-,root,root,0755)
%{_bindir}/tinyerp-client
%{python_sitelib}/tinyerp-client/
#%{python_sitelib}/tinyerp_client*
%{_mandir}/man1/tinyerp-client.*
%{_datadir}/tinyerp-client/
%{_datadir}/pixmaps/tinyerp-client/
%{_datadir}/applications/*.desktop

%files server
%{_datadir}/doc/tinyerp-server-%{version}
%attr(750,tinyerp,tinyerp) %dir /var/log/tinyerp
%attr(750,tinyerp,tinyerp) %dir /var/spool/tinyerp
%{_sysconfdir}/rc.d/init.d/tinyerp-server
%config(noreplace) %{_sysconfdir}/tinyerp-server.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/tinyerp-server
%{_bindir}/tinyerp-server
%{python_sitelib}/tinyerp-server/
#%{python_sitelib}/tinyerp_server*
%{_mandir}/man1/tinyerp-server.*
%{_mandir}/man5/terp_serverrc.*
%exclude %{_datadir}/doc/tinyerp-server-%{version}/i18n/
/usr/lib/python2.6/site-packages/tinyerp_client-4.2.2-py2.6.egg-info
/usr/lib/python2.6/site-packages/tinyerp_server-4.2.2-py2.6.egg-info

%files i18n
%{_datadir}/doc/tinyerp-server-%{version}/i18n/

%pre server
/usr/sbin/groupadd -r tinyerp &>/dev/null || :
/usr/sbin/useradd -r -s /sbin/nologin -d /var/spool/tinyerp -M \
	-c 'TinyERP Server Owner' -g tinyerp tinyerp &>/dev/null || :

exit 0

%post server
/sbin/chkconfig --add tinyerp-server

%preun server
if [ $1 = 0 ] ; then
	/sbin/service tinyerp-server stop >/dev/null 2>&1
	rm -f /var/log/tinyerp/*
	/sbin/chkconfig --del tinyerp-server
fi

%postun server
if [ "$1" -ge "1" ] ; then
	/sbin/service tinyerp-server condrestart >/dev/null 2>&1
fi
test "$1" != 0 || /usr/sbin/userdel  tinyerp &>/dev/null || :
test "$1" != 0 || /usr/sbin/groupdel tinyerp &>/dev/null || :


%changelog
* Sat Sep 11 2010 Texstar <texstar at gmail.com> 4.2.2-4pclos2010
- Update

* Fri Nov 20 2009 Texstar <texstar at gmail.com> 4.2.2-3pclos2010
- rebuild

* Sun May 24 2009 Texstar <texstar at gmail.com> 4.2.2-2pclos2009
- fix rpm group


